Upstream information

CVE-2019-17498 at MITRE

Description

In libssh2 v1.9.0 and earlier versions, the SSH_MSG_DISCONNECT logic in packet.c has an integer overflow in a bounds check, enabling an attacker to specify an arbitrary (out-of-bounds) offset for a subsequent memory read. A crafted SSH server may be able to disclose sensitive information or cause a denial of service condition on the client system when a user connects to the server.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5.8
Vector AV:N/AC:M/Au:N/C:P/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.1 5.4
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact High Low
CVSSv3 Version 3.1 3
SUSE Bugzilla entries: 1154862 [RESOLVED / FIXED], 1171566 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
HPE Helion Openstack 8
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
HPE-Helion-OpenStack-8-2019-2936
SUSE CaaS Platform 3.0
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-CAASP-3.0-2019-2936
SUSE Enterprise Storage 4
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-Storage-4-2019-2936
SUSE Enterprise Storage 5
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-Storage-5-2019-2936
SUSE Linux Enterprise Desktop 12 SP4
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP4-2019-2936
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • libssh2-1 >= 1.8.0-4.10.1
  • libssh2-1-32bit >= 1.8.0-4.10.1
  • libssh2-devel >= 1.8.0-4.10.1
  • libssh2_org >= 1.8.0-4.10.1
Patchnames:
SUSE-SLE-Product-HPC-15-2020-1730
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libssh2-1 >= 1.8.0-4.10.1
  • libssh2-1-32bit >= 1.8.0-4.10.1
  • libssh2-devel >= 1.8.0-4.10.1
  • libssh2_org >= 1.8.0-4.10.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP1-2020-1730
SUSE Linux Enterprise Module for Basesystem 15
  • libssh2-1 >= 1.8.0-4.10.1
  • libssh2-devel >= 1.8.0-4.10.1
  • libssh2_org >= 1.8.0-4.10.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-2019-2900
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • libssh2-1-32bit >= 1.8.0-4.10.1
  • libssh2_org >= 1.8.0-4.10.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1730
SUSE Linux Enterprise Point of Sale 11 SP3
  • libssh2-1 >= 1.2.9-4.2.12.18.1
  • libssh2_org >= 1.2.9-4.2.12.18.1
Patchnames:
sleposp3-libssh2_org-14226
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2019-2936
SUSE Linux Enterprise Server 11 SP4-LTSS
SUSE Linux Enterprise Server for SAP Applications 11 SP4-LTSS
  • libssh2-1 >= 1.4.3-17.12.1
  • libssh2_org >= 1.4.3-17.12.1
Patchnames:
slessp4-libssh2_org-14206
SUSE Linux Enterprise Server 12 SP1-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP1-LTSS
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2019-2936
SUSE Linux Enterprise Server 12 SP2-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2019-2936
SUSE Linux Enterprise Server 12 SP2-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2019-2936
SUSE Linux Enterprise Server 12 SP2-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2019-2936
SUSE Linux Enterprise Server 12 SP3-BCL
SUSE Linux Enterprise Server for SAP Applications 12 SP3-BCL
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-BCL-2019-2936
SUSE Linux Enterprise Server 12 SP3-ESPOS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-ESPOS
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-ESPOS-2019-2936
SUSE Linux Enterprise Server 12 SP3-LTSS
SUSE Linux Enterprise Server for SAP Applications 12 SP3-LTSS
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2019-2936
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP4
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP4-2019-2936
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SERVER-12-SP5-2019-2936
SUSE Linux Enterprise Server 15-LTSS
  • libssh2-1 >= 1.8.0-4.10.1
  • libssh2-1-32bit >= 1.8.0-4.10.1
  • libssh2-devel >= 1.8.0-4.10.1
  • libssh2_org >= 1.8.0-4.10.1
Patchnames:
SUSE-SLE-Product-SLES-15-2020-1730
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SAP-12-SP1-2019-2936
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2019-2936
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SAP-12-SP3-2019-2936
SUSE Linux Enterprise Server for SAP Applications 15
  • libssh2-1 >= 1.8.0-4.10.1
  • libssh2-1-32bit >= 1.8.0-4.10.1
  • libssh2-devel >= 1.8.0-4.10.1
  • libssh2_org >= 1.8.0-4.10.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2020-1730
SUSE Linux Enterprise Software Development Kit 12 SP4
  • libssh2-devel >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2936
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libssh2-devel >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-2936
SUSE OpenStack Cloud 7
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-OpenStack-Cloud-7-2019-2936
SUSE OpenStack Cloud 8
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-OpenStack-Cloud-8-2019-2936
SUSE OpenStack Cloud Crowbar 8
  • libssh2-1 >= 1.4.3-20.14.1
  • libssh2-1-32bit >= 1.4.3-20.14.1
  • libssh2_org >= 1.4.3-20.14.1
Patchnames:
SUSE-OpenStack-Cloud-Crowbar-8-2019-2936
openSUSE Leap 15.0
  • libssh2-1 >= 1.8.0-lp150.3.9.1
  • libssh2-1-32bit >= 1.8.0-lp150.3.9.1
  • libssh2-1-32bit-debuginfo >= 1.8.0-lp150.3.9.1
  • libssh2-1-debuginfo >= 1.8.0-lp150.3.9.1
  • libssh2-devel >= 1.8.0-lp150.3.9.1
  • libssh2_org >= 1.8.0-lp150.3.9.1
  • libssh2_org-debugsource >= 1.8.0-lp150.3.9.1
Patchnames:
openSUSE-2019-2482
openSUSE Leap 15.1
  • libssh2-1 >= 1.8.0-lp151.6.3.1
  • libssh2-1-32bit >= 1.8.0-lp151.6.3.1
  • libssh2-1-32bit-debuginfo >= 1.8.0-lp151.6.3.1
  • libssh2-1-debuginfo >= 1.8.0-lp151.6.3.1
  • libssh2-devel >= 1.8.0-lp151.6.3.1
  • libssh2_org >= 1.8.0-lp151.6.3.1
  • libssh2_org-debugsource >= 1.8.0-lp151.6.3.1
Patchnames:
openSUSE-2019-2483


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 3.0 libssh2_org Released
SUSE Container as a Service Platform 1.0 libssh2_org Affected
SUSE Container as a Service Platform 2.0 libssh2_org Affected
SUSE Linux Enterprise 15 Module for Basesystem libssh2_org Released
SUSE Linux Enterprise 15-SP1 Module for Basesystem libssh2_org Released
SUSE Linux Enterprise 15-SP2 Module for Basesystem libssh2_org Released
SUSE Linux Enterprise Desktop 12 SP4 libssh2_org Released
SUSE Linux Enterprise High Performance Computing 12 SP4 libssh2_org Released
SUSE Linux Enterprise High Performance Computing 15 LTSS libssh2_org Released
SUSE Linux Enterprise Server 11 SP1 libssh2_org Released
SUSE Linux Enterprise Server 11 SP3 libssh2_org Released
SUSE Linux Enterprise Server 11 SP4 LTSS libssh2_org Released
SUSE Linux Enterprise Server 12 SP1 LTSS libssh2_org Released
SUSE Linux Enterprise Server 12 SP2 LTSS libssh2_org Released
SUSE Linux Enterprise Server 12 SP3 LTSS libssh2_org Released
SUSE Linux Enterprise Server 12 SP4 libssh2_org Released
SUSE Linux Enterprise Server 12 SP5 libssh2_org Released
SUSE Linux Enterprise Server 15 LTSS libssh2_org Released
SUSE Linux Enterprise Server ESPOS 15 libssh2_org Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 libssh2_org Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 libssh2_org Released
SUSE Linux Enterprise Server for SAP Applications 12 SP4 libssh2_org Released
SUSE Linux Enterprise Software Development Kit 12 SP4 libssh2_org Released